Jelszó utáni várakozás + nvidia driver

Fórum: 

Sziasztok!

(IntelCore2 Duo P8700 @2.53GHz x2, RAM: 4GB, Nvidia GT240M 1GB, LinuxMint 17.1 Cinn. 64bit, Asus N61Vn)

Ahhoz kérnék segítséget, hogy miért lehet az, hogy bootolásnál, jelszó beírás után, legalább 20mp fekete képernyő után tölt be a rendszer.

Ráadásul, mintha a bootolás is tovább tartana, mint az elején. Kb két hónapja használok linuxot, és az utóbbi két hétben tűnt fel nagyon ez. Semmilyen rendszerbeállításhoz nem nyúltam, esetleg valami frissítés miatt lehet? (Ennyi idő alatt a win7 is felállt ezen a gépen :/ )

A másik gondom az lenne, hogy gt240m videókártyám van, amihez az illesztőprogram-kezelő, hozzá is rendelte a 331.-es drivert.

Nade, kicsit lassabnak érzem az egész gép működését, mint előtte a win7-tel. (Egyébként honnan lehet tudni, hogy megfelelően működik e a vga? hardveres gyorsítás, stb) Nem nagyon, csak a megszokottnál pont annyival lassabb, hogy vmi kellemetlenséget érezzek :) Szóval (jó win-es szokás szerint) felmentem az nvidia honlapjára, ahol kikerestem a drivert linuxra és ki is adta, hogy a legfrissebb driver a 340.76.

A kérdésem az lenne, hogy telepítsem-e ezt? És azért kérdezem, mert az nvidia eléggé elbizonytalanít a leírás első bekezdésével:

Note that many Linux distributions provide their own packages of the NVIDIA Linux Graphics Driver in the distribution's native package management format. This may interact better with the rest of your distribution's framework, and you may want to use this rather than NVIDIA's official package.  

Ilyet se láttam még....

Előre is köszönöm a segítséget!

(ui: Linux vs. Win témában, Linux javára írják többek között a gyorsabb boot időt és a gyorsabb működést. Na nálam perpill egyik sincs jelen :/ )

nvidia és linux

Hali!
Megpróbálom leírni, ha valami hiányzik, hibádzik, majd a többiek kijavítanak ;-)

 
A dolog úgy működik, hogy a Linux kernel (rendszermag) atyja Linus Torvalds, meghatározott időközönként kiadja a linux kernelek újabb (továbbfejlesztett) verzióját. A disztribútorok ezt a kernelt használják fel a saját linux terjesztésük kiadásához, ami nem feltétlenül a legfrissebben kiadott kernelt tartalmazza. Ahhoz, hogy bizonyos drivereket használatba lehessen venni, úgynevezett kernelmodulokat kell beleforgatni a kernelbe. Na most ez a "párosítás" az új drivereknél és kerneleknél nem biztos, hogy fennáll. Általában a disztribútorok kiválasztják a megfelelő kernelt, és a megfelelő drivert helyetted (és sok mindenki más helyett) megkönnyítve ezzel a dolgodat, dolgunkat.

Persze te el is térhetsz ettől, ha magad választod ki a kernelt és a drivert, de ez több tudást, és több tapasztalatot igényel.

Ezért jó terminálból telepíteni dolgokat, mert ott szövegesen kiírja, hogy milyen gondja, problémája van és folyamatsan tájékoztatva vagy. Így tudsz tanulni. Nemcsak egy kúszó csíkot látsz.

A Linux vs. Win témát hanyagolnám, azt meghagyom a PR-nak. Engem a természetes érdeklődés vezetett el a linuxhoz, mert a wint is széttúrtam mindig becsülettel, csak az nehezebben tolerálta az ilyen jellegű akcióimat.

Értékelés: 

5
Átlag: 5 (1 szavazat)

Szia,

Szia,

ha jól értem, bár konkrétan nem írtad le :) , ne tegyem fel a hivatalos driver-t, hanem hagyjam azt, amit a linux magától beállított (331) ? :)

A jelszó utáni betöltési idő javítására lenne vmi ötlet?

Értékelés: 

0
Még nincs értékelve

re: nvidia linux

 Nem jól érted. Mindkettő hivatalos, csak amit a disztribútorok alkalmaznak, az egy korábbi kiadás az nvidia-tól. Azt, hogy mit tegyél és mit ne, azt én nem mondhatom meg. Tehetsz próbát, de valószínűleg azt a választ fogod kapni a termináltól, hogy kapcsold ki a grafikus felületet. Elboldogulsz grafikus felület nélkül?
Az időre nincs ötlet, de szerintem kimarite kimerítő választ fog adni ;-)

Értékelés: 

0
Még nincs értékelve

Frissebb driver telepítéséhez

Frissebb driver telepítéséhez itt egy leírás: http://www.binarytides.com/install-nvidia-drivers-ubuntu-14-04/
Talán nem árt, ha van előtte egy Systemback mentés, ha valami félresikerülne, vagy egy Live a közelben, hogy szükség esetén tudjunk kommunikálni. A lassú betöltés kiderítésére a dmesg-et kellene megnézni, mivel időzik sokat. Ha meg akarod mutatni nekünk, tedd fel pastebin-re és a linket add meg, ne ide másold közvetlenül.

Értékelés: 

0
Még nincs értékelve

 Igen, ma már ez sokkal

 Igen, ma már ez sokkal kényelmesebb. Hozzáteszem, régebben magadnak kellett kernelt fordítani, és modulokat telepíteni, ez manapság sokkal kényelmesebb. Ennek ellenére linuxon a gyári driver, vagy a disztribució által karbantartott meghajtó örök vitatéma, látható hogy maga az Nvidia is a sajátja helyett az utóbbit ajánlja, holott az előbbi használata a logikusabb döntés. Ez a windowsos világban is hasonló.

Értékelés: 

0
Még nincs értékelve
kimarite képe

Nvidia (videókártya)

Elméletileg egyféle dolognak működnie kéne minden linux disztribúciónál. Mármint, hogy az összes videókártyára összegyűjtik az összes adatot, hogy mi kell hozzá .. . Én olyasmit is el tudok képzelni, hogy kiírná az Illesztőprogram kezelő, hogy bocs, ez hiányzik, ezért tudod épp' ezt telepíteni és nyugalom, nemsokára (tehát valami vicces dolog, mondat lenne). Más részről az nvidia kártyához való megfelelő (legjobb) zárt driver kiderítésére ott az "nvidia-detect" vagy az "inxi" csomag. Az előbbi nem mindig jól tippel - főleg a régebbi kártyáknál, ami kicsit érthető is - az utóbbi fejlesztői pedig közlik veled az oldalukon (ahol a kapcsolókat is írják, hogy melyik mire használható - amely, ha jól tudom,a Mint-ben benne - tehát más hardverről is kapsz némi információt / a kapcsolók egyébkén kötőjellel következnek a parancs után) ..., azt közlik, hogy Debian vagy Ubuntu rendszereknél NEM mindig kapod meg azt amit vársz, tehát érhetnek meglepetések. Esetleg. Általában jól tippelnek (az előbb említett két alkalmazás), csak valamilyen lexikális forma jó lenne, szerintem :).

Visszatérve az Illesztőprogram kezelőre, a nouveau nyílt drivert is telepíteni tudod (de ez alapvetően telepítve van a rendszer telepítése után). Namármost, ha nem sikerül egy zárt driver telepítése, akkor az Illesztőprogram kezelőt nem tudod használni és ennyi ;) (Megoldás is van: rendszermentés a telepítés előtt. De van más megoldás is: a konzol, parancssor). És telepíteni tudsz zárt drivereket, azokat, amelyeket a disztribúciód - jelen esetben a Mint - fejlesztői a rendszeredre optimalizáltak.

A képen két drivert látok, amely nem "Legacy", mindkettőnek van "updates" csomagja. Ennek nem néztem utána, de vélhetőleg az adott csomag javításai, azaz fejlesztései ezek, rá lehet nézni erre is (van erről fórum téma). Ezek az említett driverek az újabb/manapság kiadott videókártyákhoz vannak.

A "Legacy" csomag (eredetileg az nvidia által, amit optimalizálnak a rendszered fejlesztői) a régebbi vagy viszonylag régi videókártyákhoz kifejlesztett csomag, mert akkoriban ezekre nem adtak ki zárt drivert, de még sokan használják, divatosak, teljesítenek is valamelyest, jók még játékra is, stb., tehát az nvidiának érdeke rá fejleszteni (legalábbis reméljük), hogy ez (is) jár a fejükben. Egészen pontosan azonban a jelenlegi rendszeredhez - egy régebbi kiadású Mint-nél más csomagok vannak ezekből a csomagokból, más verziószámúak --> - a Xorg (X Server) és a Kernel verziója megfelelő ehhez a driverhez, következésképpen lehetséges is telepíteni éppen ezeket a verziószámú drivereket erre a rendszerre...: mert megfelelő a Xorg, és a Kernel - verziószáma. Működni fog, passzol és ez az igazi ok, amiért ezeket is lehetséges telepítened.

Azokhoz az újabb driverekhez, a legújabbakhoz, amit az nvidia oldalon láttál, a rendszeredre telepíthetőnél/telepítettnél még újabb Xorg és Kernel csomag kell, főleg Xorg, de a Mint fejlesztői nem tudnak abban segíteni neked, hogy ezeket telepíthesd. Azonban van a Xorg-Edgers PPA (a PPA egyének, csapatok által létrehozott csomagtároló általuk továbbfejlesztett csomagokhoz - Ubuntu rendszerekhez), melyben lehetnek olyan Xorg csomagok, amelyekkel már kielégítheted a legújabb driver függőség-igényét. Ezeket a csomagokat optimalizálják a Mint-hez (Ubuntu-hoz) vagy legalábbis megpróbálják, és elég jó eredményt érnek el ebben (általában, többnyire). Az optimalizálás azt jelenti, hogy a PPA felvételével telepíthető a rendszeredre az a Xorg, mely amúgy - több dolog miatt - nem menne fel. Tehát elepítheted a legújabb drivert, mert telepítetted a függőségét. Ezen függőség kielégítése nem a Mint fejlesztőinek feladata, mert mindig kis lemaradásban van a történet, a verziószám stabilizálási és optimalizálási célok miatt. Dolgoznak rajta.

És maradnak utolsóként említve az egészen régi nvidia videókártyák, melyek nem tudják használni valamely ok miatt a rendszeredre telepített Xorg, esetleg Kernel verziókat sem, nem "kompatibilisek" vele. Vagy netán a jelenleg frissítéseket kapó nvidia driver csomagok egyike sem olyan felépítésileg, hogy ezekkel jól együttműködjön (rosszul meg minek), így vélhetően valamely program összetevőjük megoldhatatlan problémát okozna, nem működne. Ezért - és más ok miatt - hozták létre a nouveau nyílt forráskódú drivert, (!) azaz egészen pontosan nem ezért hozták létre :), viszont az egészen régi kártyákhoz a gondolatmenetből következően csak a nyílt driver használható (mely amúgy egyre jobb, szinte egyenértékű az nvidia csomaggal) és új kártyákkal is együttműködik - hiszen a linux közösség fejleszti (nouveau), sokan, sok igénnyel (neki is van - tehát "akarják"), sok tudással ... .

Neked a lényeg az, hogy nincs meg eleve az a XORG verziód, ami kell az nvidia oldalon látott legújabb drivernek. Van ennek is Wiki-je, milyen drivert milyen kártyához használhatsz, de megoldja az Illesztőprogram kezelő neked a választást. Talán ez a legkényelmesebb. És van a xorg-edgers PPA is. Egyes kártyákhoz még az sem jó, de ritka. Persze, ha ma kijön egy kártya, kell egy-két hét mire összedobnak arra egy Xorg-ot - optimalizálva, hogy stabilan fusson lehetőleg.

Remélem, tudtam segíteni!

Értékelés: 

5
Átlag: 5 (2 szavazat)
kimarite képe

Betöltődési idő

Nem emlékszem pontosan mit kéne csinálni, ha lehet egyáltalán. A telepített zárt driver miatt van a szöszmötölés, az keresgéli magát, az összetevőit, kiteszi a logóját (ha kiteszi), és ez az egész Linux alatt kicsit tovább tart tényleg talán, mint Windowsnál. Nem  a Linuxszod tehet erről. Ez kimaradt az alábbi leírásomból.

Értékelés: 

5
Átlag: 5 (1 szavazat)

más linux OS

Köszönöm az eddigi válaszokat!

Tehát, mivel a jelenlegi xorg és a kernel nem megfelelő a legújabb drivereknek, ezért igen problémás a telepítés. (Nem akarok ennyire beletúrni, maradok az illesztő kezelő által ajánlottnál)

1.) Egy igazán kezdő/átlag felhasználó annyit tehet, hogy megvárja míg Torvalds-ék közzéteszik az új verziókat, amiket a distro fejlesztők beépítenek az adott rendszerbe, majd frissít és utána működni fog az adott újabb driver. igaz?

2.) Jól gondolom, hogy minden OSnek ugyan az a xorg és a kernel verziója van jelenleg, akármelyik leágazásról van is szó (Debian, RedHat, OpenSuse), tehát olyan amatőr megoldás, minthogy a Mint helyett pl. suse használata megoldalán a poblémát?

3.) Egyébként a BSD-k (free,pc) is hasonlóan "lassan" reagálnak ezekre a kihívásokra?

4.) Még egy kérdés: látjátok a laptop konfigomat, erre most tényleg fel kell raknom egy xfce, lxde vagy hasonló desktop-os linuxot (ha egyáltalán ez megoldaná), hogy gyorsabban felálljon a rendszer, mint a win7? Cinnamon-os Mint, miért hoz olyan, vagy még rosszabb boot szintidő, mint a win7?

4.1) A lev258 által javasolt dmesg ezt adja ki:

pastebin.com/vQJjdPVz

Értékelés: 

0
Még nincs értékelve

re: más linux OS

  1. Torvaldsék jóval előrébb járnak, mint a distrók készítői. A jelenlegi stabil kernel verziószáma 4.1-es. Ezt a https://www.kernel.org/ oldalon tudod nyomonkövetni.
  2. Nem hinném, hogy minden OS-nek ugyanaz a kernel és xorg verziója lenne. Például az ubuntu folyamatosan frissíti a kerneleit, míg a Linux Mint biztonsági okokból visszafogja. (Volt is ebből vita nemrég a két distro készítői között.) Szerintem nem amatőr megoldás, ha kipróbálsz más rendszert, többek közt én is azért jöttem át ubunturól, mert rettenetesen lassú volt a gépemen, és a windows Xp óta nem látott hibajelző- és hibajelentő ablakokkal bombázott. Én pedig inkább használni akarom a gépem, mint patchelni meg hibát jelenteni vele.
  3. A BSD rendszereket még nem próbáltam, de állítólag a PC-BSD nagyon jó kis rendszer egy kezdő felhasználónak. (Egyébként Linux Minten kívül még a Debiant vagy a Centost tenném fel szívesen, de az utóbbi készítői már nem készítenek 32 bites rendszereket, úgyhogy maradna a Debian.)
  4. Őszintén megmondom, hogy nekem a Cinnamon nem jött be (az én konfigom: proc: Intel(R) Pentium(R) Dual CPU E2140 @ 1.60GHz : 1600,00MHz; RAM 4GB kingston; videokártya: Nvidia geforce 9500GT). Egyébként 32 bites Linux Mint 17.1 KDE van fent. Ezzel elégedett vagyok.

Értékelés: 

0
Még nincs értékelve

4-es pont

 Mihez képest sok a cirka 23 mp boot idő? Nekem most 15 mp kb!

Javaslat: a nem használt eszközök letiltása biosban, boot sorrendben hdd, és semmi más! (ha kell majd bekapcsoljuk a többit)

Nálam ez kb 5 mp-t jelentett!

Értékelés: 

5
Átlag: 5 (1 szavazat)

A Linux Mint Cinnamon 32 bit program telepítése

Mélyen tisztelt Fórum!       Az előttem szólók témájához csak laikus módon azt tudom hozzászólni, hogy telepítse (szerintem ) az újonnan kiválasztott meghajtót, az igaz, hogy a linux- ban bekövetkező változásokhoz semmit sem tudok hozzászólni, ehhez nagyobb tapasztalat kell.           Az én telepítési témámhoz csak annyit,hogy nincs elegendő tárhelyem a telepítéshez. Telepítéskor a telepítés a következő mappába megy, melynek elérési útvonala a következő:C:\Dokumments and Settings\All Users\Start Menü\Programs\Infrafec. Nos az intrafec mappában nincs elég szabad hely. Helyi lemez( C:)Szabad terület: 34.8 GB, Teljes méret: 46.7 GB  Helyi lemez (D: ) Szabad terület: 28.5 GB  Teljes méret  29.5GB A Kérdésem : A program telepítése során csinál magának helyet? Üdv: Macskaszem 

Értékelés: 

0
Még nincs értékelve

23+20

Szia!

A gondom az, ahogy a téma indítóba is írtam, hogy a bootolás után a jelszóbeírásnál (miután megvolt a jelszó+enter) még kb 20mp-t malmozik a gép, csak fekete képernyőt látok, és utána tölt be rendesen. Tehát maga a bootidő nekem nem volna gond, hanem az a r_hadt idegesítő, hogy mégegyszer ugyananyit ráhúz a jelszó után.

Most egyébként felraktam a 17.2-t, tiszta telepítéssel, de ugyan az a helyzet. :/

Értékelés: 

0
Még nincs értékelve
kimarite képe

Wubi

Nem tudom, hogy csinál-e helyet. De nem Wubi-val, azaz Windows "programként" telepítsd a rendszert (nagyon nem jársz jól vele és csak rossz tapasztalataid lesznek), hanem a lemezre önálló operációs rendszerként. A Windows mellé telepítéshez olvasd el egy fórumtársunk neked megfelelő leírását itt: https://ariszlo.wordpress.com/
Vagyis a Windows verziódnak megfelelő leírást nézd meg.

Értékelés: 

5
Átlag: 5 (1 szavazat)
kimarite képe

Neked megoldás lehet a

Neked megoldás lehet a "suspend" a Linuxra. Windows alatt kis csellel élnek a gyors rendszerindítás érdekében, melynek azért vannak erősen hátrányai is: http://www.hwsw.hu/hirek/49629/windows-8-dual-boot-adatvesztes-fast-star...
Valójában ilyenkor nem tölt be Windowsnál sem gyorsabban a rendszer, csak nem kapcsol ki teljesen. És ennek az a hatása, hogy gyorsabbnak érzed a betöltődést. Erről nem tudtál amúgy?

Értékelés: 

0
Még nincs értékelve

Nekem ez a dmesg rövidnek

Nekem ez a dmesg rövidnek tűnik. Nem hagytad ki a végét véletlenül? Ez nagyjából az első 24 másodpercről ad információt, és nem látok benne semmi kirívót.
Adtam egy linket driverfrissítéshez. Azt esetleg nézegetted?

Értékelés: 

0
Még nincs értékelve

új dmesg

Itt az új, ezen már hosszabb:

pastebin.com/MhLe7Kte

bootolásnál megy a töltőképernyő (azok a "pontok"), utána teljesképernyős nvidia logó, utána jelszókérés, utána 20mp feketeség, és utána tölt be teljesen.

Értékelés: 

0
Még nincs értékelve
kimarite képe

Másik kernel van telepítve?

Másik kernel van telepítve? Ott is megvan-e ez (figyelmeztetés):
ACPI Warning: SystemIO range 0x0000000000000828-0x000000000000082f conflicts with OpRegion 0x0000000000000800-0x000000000000084f (\PMIO) (20140424/utaddress-258)
(https://bugzilla.redhat.com/show_bug.cgi?id=849773)

Feljebb látszik, hogy a billentyűzet, azaz tapipad kezelő is tölt (legalábbis én annak vélem), tehát alapvetően be van kapcsolva.
"input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:35/LNXVIDEO:00/input/input8"
Nem feltétlen kéne ezt kikapcsolni, de feltűnt ..., és nem kerestem rá jobban, hogy áll-e valami hiba az üzenet mögött.

A Bluetooth kell neked a betöltéskor? És a WiFi?

A Plymouth-ra keress rá, ha nem használod, elég puritán lesz a betöltés folyamata, de gyorsabban töltődik be a rendszer, az tuti. Ez egy "kényelmi" program.

Értékelés: 

0
Még nincs értékelve

Kernelről csak ennyit tudok:

Kernelről csak ennyit tudok:

uname -a
3.16.0-38-generic #52~14.04.1-Ubuntu SMP Fri May 8 09:43:57 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Tegnap felraktam a 17.2-t, úgy hogy elvileg mindent törölt. És az updaten kívül még semmit se telepítettem.

Nem tudom, mit jelent az az acpi-s figyelmeztetés. A link alapján lehet javítani? (nem igazán értem mi van ott)

bluetooth-t ki lehet kapcsolni nem kell, hogy betöltsön. (hogy kell?)

szoftverkezelőbe rákerestem a Plymouth, azt írja telepítve van. Töröljem?

Értékelés: 

0
Még nincs értékelve

plymouth kikapcs

A link alapján kikapcsoltam és érezhetően gyorsabb a boot! Köszi a segítséget!

Értékelés: 

0
Még nincs értékelve